@echo off

REM This batch file will run 'httpsv.exe'
REM if it's located in the directory with
REM this batch file or if 'httpsv.exe' is
REM located inside the upper directory.

REM The %0 is used to set the directory
REM correctly even when this batch file
REM is run from another PC on the network.

if exist %0.\..\.\..\httpsv.exe goto prevdir
if not exist %0.\..\.\httpsv.exe goto error

goto start

:prevdir
cd %0.\..\..\

:start
echo Starting HTTP Server with Directory
echo Browsing enabled using port 8080

REM The line below will pass arguments to 'httpsv.exe'
start httpsv.exe -de -p 8080

goto exit

:error
echo HTTP Server 'httpsv.exe' could not be located.

:exit
echo.
echo Press any key to exit . . .
pause > nul
exit